package com.cool.bang.core.config.DBConfig;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceBuilder;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import javax.sql.DataSource;

@Configuration
public class DataSourceConfig {
    //  标识为第一个数据源
    @Primary
    @Bean("mysqlDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.druid.zjjg-mysql")
    DataSource mysqlDataSource() {
        return DruidDataSourceBuilder.create().build();
    }

    // 标识为第二个数据源
    @Bean("oracleDataSource")
    @ConfigurationProperties(prefix = "spring.datasource.druid.yszj-oracle")
    DataSource oracleDataSource() {
        return DruidDataSourceBuilder.create().build();
    }
}
