package com.cool.bang.modules.mysql.domain;

import java.math.BigDecimal;

/**
 * 拨付申请通知书
 */
public class AppropriationOutgoing extends AppropriationNotice {

    /** 申请类型 1额度内资金 2额度外资金 */
    private Integer applicationType;

    /** 划转金额 */
    private BigDecimal applyAmount;

    /** 通知书类型 1托管转监管户 2托管转一般户 3托管转其他户 4监管转一般户 5监管转其他户 */
    private Integer type;

    /** 拨付状态 0待拨付 1已拨付 */
    private Integer appropriationStatus;

    /** 初始化通知书 */
    public void initNotice(Appropriation param, Integer type) {
        super.initNotice(param);
        this.applicationType = param.getApplicationType();
        this.type = type;
        this.applyAmount = param.getApplyAmount();
        this.appropriationStatus = 0;
    }

    public Integer getApplicationType() {
        return applicationType;
    }

    public void setApplicationType(Integer applicationType) {
        this.applicationType = applicationType;
    }

    public BigDecimal getApplyAmount() {
        return applyAmount;
    }

    public void setApplyAmount(BigDecimal applyAmount) {
        this.applyAmount = applyAmount;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getAppropriationStatus() {
        return appropriationStatus;
    }

    public void setAppropriationStatus(Integer appropriationStatus) {
        this.appropriationStatus = appropriationStatus;
    }
}
