package com.cool.bang.modules.mysql.domain;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 解除托管详情
 *
 * @author PeiZhi Guo
 * 2023-2-20 15:15
 */
public class RelieveDetail implements Serializable {

    private Long id;

    /** 解除托管主键 */
    private Long relieveId;

    /** 楼幢虚拟户主键 */
    private Long buildingAccountId;

    /** 楼幢主键 */
    private Integer buildingId;

    /** 楼幢编号 */
    private String buildingNumber;

    /** 楼幢名称 */
    private String buildingName;

    /** 楼幢地址 */
    private String buildingAddress;

    /** 监管面积 */
    private BigDecimal buildArea;

    /** 账户余额 */
    private BigDecimal accountBalance;

    /** 在途资金 */
    private BigDecimal inTransitFund;

    public RelieveDetail(){}

    public RelieveDetail(BuildingAccount buildingAccount){
        this.buildingAccountId = buildingAccount.getId();
        this.buildingId = buildingAccount.getBuildingId();
        this.buildingNumber = buildingAccount.getBuildingNumber();
        this.buildingName = buildingAccount.getBuildingName();
        this.buildingAddress = buildingAccount.getBuildingAddress();
        this.buildArea = buildingAccount.getBuildArea();
        this.accountBalance = buildingAccount.getAccountBalance();
        this.inTransitFund = buildingAccount.getInTransitFund();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRelieveId() {
        return relieveId;
    }

    public void setRelieveId(Long relieveId) {
        this.relieveId = relieveId;
    }

    public Long getBuildingAccountId() {
        return buildingAccountId;
    }

    public void setBuildingAccountId(Long buildingAccountId) {
        this.buildingAccountId = buildingAccountId;
    }

    public Integer getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Integer buildingId) {
        this.buildingId = buildingId;
    }

    public String getBuildingNumber() {
        return buildingNumber;
    }

    public void setBuildingNumber(String buildingNumber) {
        this.buildingNumber = buildingNumber;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public String getBuildingAddress() {
        return buildingAddress;
    }

    public void setBuildingAddress(String buildingAddress) {
        this.buildingAddress = buildingAddress;
    }

    public BigDecimal getBuildArea() {
        return buildArea;
    }

    public void setBuildArea(BigDecimal buildArea) {
        this.buildArea = buildArea;
    }

    public BigDecimal getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(BigDecimal accountBalance) {
        this.accountBalance = accountBalance;
    }

    public BigDecimal getInTransitFund() {
        return inTransitFund;
    }

    public void setInTransitFund(BigDecimal inTransitFund) {
        this.inTransitFund = inTransitFund;
    }
}
