package com.cool.bang.modules.mysql.domain;

import com.cool.bang.common.util.DateUtil;
import com.cool.bang.modules.oracle.domain.Bxmxy;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 签署方
 *
 * @author PeiZhi Guo
 * 2022-11-25 14:10
 */
public class Signatory {

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 公章 */
    private Long companySealId;

    /** 法人章 */
    private Long lpSealId;

    /** 签约主体 */
    private String tenantName;

    /** 合同ID */
    private Long contractId;

    /** 文档ID */
    private Long documentId;

    /** 签章人 */
    private String signer;

    /** 签章人电话 */
    private String signerPhone;

    /** 签署顺序 */
    private Integer serialNo;

    /** 节点名称 */
    private String actionName;

    /** 文件路径 */
    private String pdfUrl;

    /** 签章状态 0未签章 1已签章 */
    private Integer state;

    /** 签章时间 */
    private Date signTime;

    private String pdfCode;

    /** 签署人 */
    private Signatory signatory;

    /** 签署人 */
    private Signatory signatory2;

    public Signatory(){}

    public String getPdfCode() {
        return pdfCode;
    }

    public void setPdfCode(String pdfCode) {
        this.pdfCode = pdfCode;
    }

    public Signatory(Bxmxy bxmxy, TrusteeshipAgreement agreement) {
        //签署方-开发商
        this.signatory = new Signatory();
        this.signatory.serialNo = 1;
        this.signatory.businessNumber = bxmxy.getXybh();
        this.signatory.tenantName = agreement.getOrgName();
        this.signatory.documentId = Long.valueOf(bxmxy.getCadocid());
        this.signatory.contractId = Long.valueOf(bxmxy.getCaxyid());
        this.signatory.signer = bxmxy.getQyqzr();
        this.signatory.signerPhone = bxmxy.getQyqzrdh();
        this.signatory.state = bxmxy.getBljg() >= 7 ? 1 : 0;
        this.signatory.pdfUrl = bxmxy.getWjurl();
        this.signatory.pdfCode = bxmxy.getWjid();
        if (bxmxy.getBljd()>=7) {
            this.signatory.state = 1;
            this.signatory.signTime = DateUtil.strToDate(bxmxy.getQysj(),"yyyy-MM-dd HH:mm:ss");
        } else {
            this.signatory.state = 0;
        }

        //签署方-托管机构
        this.signatory2 = new Signatory();
        this.signatory2.serialNo = 2;
        this.signatory2.businessNumber = bxmxy.getXybh();
        this.signatory2.tenantName = bxmxy.getTgjgmc();
        this.signatory2.documentId = Long.valueOf(bxmxy.getCadocid());
        this.signatory2.contractId = Long.valueOf(bxmxy.getCaxyid());
        this.signatory2.signer = bxmxy.getJgqzr();
        this.signatory2.signerPhone = bxmxy.getJgqzrdh();
        this.signatory2.pdfUrl = bxmxy.getWjurl();
        this.signatory2.pdfCode = bxmxy.getWjid();
        this.signatory2.state = bxmxy.getBljg()>=7 ? 1 : 0;
        if (bxmxy.getBljd()>=8){
            this.signatory2.state = 1;
            this.signatory2.signTime = DateUtil.strToDate(bxmxy.getQysj(),"yyyy-MM-dd HH:mm:ss");
        }else {
            this.signatory2.state = 0;
        }
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Long getCompanySealId() {
        return companySealId;
    }

    public void setCompanySealId(Long companySealId) {
        this.companySealId = companySealId;
    }

    public Long getLpSealId() {
        return lpSealId;
    }

    public void setLpSealId(Long lpSealId) {
        this.lpSealId = lpSealId;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public Long getContractId() {
        return contractId;
    }

    public void setContractId(Long contractId) {
        this.contractId = contractId;
    }

    public Long getDocumentId() {
        return documentId;
    }

    public void setDocumentId(Long documentId) {
        this.documentId = documentId;
    }

    public String getSigner() {
        return signer;
    }

    public void setSigner(String signer) {
        this.signer = signer;
    }

    public String getSignerPhone() {
        return signerPhone;
    }

    public void setSignerPhone(String signerPhone) {
        this.signerPhone = signerPhone;
    }

    public Integer getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(Integer serialNo) {
        this.serialNo = serialNo;
    }

    public String getActionName() {
        return actionName;
    }

    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

    public String getPdfUrl() {
        return pdfUrl;
    }

    public void setPdfUrl(String pdfUrl) {
        this.pdfUrl = pdfUrl;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getSignTime() {
        return signTime;
    }

    public void setSignTime(Date signTime) {
        this.signTime = signTime;
    }

    public Signatory getSignatory() {
        return signatory;
    }

    public void setSignatory(Signatory signatory) {
        this.signatory = signatory;
    }

    public Signatory getSignatory2() {
        return signatory2;
    }

    public void setSignatory2(Signatory signatory2) {
        this.signatory2 = signatory2;
    }

}
