package com.cool.bang.modules.mysql.domain;

import java.util.Date;

/**
 * 监管资金转托管通知书
 *
 * @author PeiZhi Guo
 * 2023-2-7 17:09
 */
public class SuperviseToNotice {

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 银行主键 */
    private String bankCode;

    /** 企业主键 */
    private Integer orgId;

    /** 开发企业 */
    private String orgName;

    /** 监管资金转托管主键 */
    private Long superviseToId;

    /** 项目主键 */
    private Long projectId;

    /** 项目编号 */
    private String projectNumber;

    /** 项目名称 */
    private String projectName;

    /** 项目虚拟户主键 */
    private Long projectAccountId;

    /** 拨付账户主键 */
    private Long appropriationAccountId;

    /** 拨付银行 */
    private String appropriationBank;

    /** 拨付账户 */
    private String appropriationName;

    /** 拨付账号 */
    private String appropriationAccount;

    /** 开户网点 */
    private String appropriationOpenAddress;

    /** 收款账户主键 */
    private Long collectionAccountId;

    /** 收款银行 */
    private String collectionBank;

    /** 收款账户 */
    private String collectionName;

    /** 收款账号 */
    private String collectionAccount;

    /** 开户网点 */
    private String collectionOpenAddress;

    /** 是否撤销 0未撤销 1撤销 */
    private Integer isRescind;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    private String remark;

    private Date createTime;
    private String updateTime;

    /** 初始化通知书 */
    public void initNotice(SuperviseTo param) {
        this.bankCode = param.getBankCode();
        this.orgId = param.getOrgId();
        this.superviseToId = param.getId();
        this.orgName = param.getOrgName();
        this.projectId = param.getProjectId();
        this.projectNumber = param.getProjectNumber();
        this.projectName = param.getProjectName();
        this.projectAccountId = param.getProjectAccountId();
        this.appropriationAccountId = param.getAppropriationAccountId();
        this.appropriationBank = param.getAppropriationBank();
        this.appropriationName = param.getAppropriationName();
        this.appropriationAccount = param.getAppropriationAccount();
        this.appropriationOpenAddress = param.getAppropriationOpenAddress();
        this.collectionAccountId = param.getCollectionAccountId();
        this.collectionBank = param.getCollectionBank();
        this.collectionName = param.getCollectionName();
        this.collectionAccount = param.getCollectionAccount();
        this.collectionOpenAddress = param.getCollectionOpenAddress();
        this.isRescind = 0;
        this.delFlag = 1;
        this.remark = param.getRemark();
        this.createTime = param.getUpdateTime();
//        super.setCompanySealId(param.getCompanySealId());
//        super.setSigner(param.getSigner());
//        super.setSignerPhone(param.getSignerPhone());
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getSuperviseToId() {
        return superviseToId;
    }

    public void setSuperviseToId(Long superviseToId) {
        this.superviseToId = superviseToId;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public Long getAppropriationAccountId() {
        return appropriationAccountId;
    }

    public void setAppropriationAccountId(Long appropriationAccountId) {
        this.appropriationAccountId = appropriationAccountId;
    }

    public String getAppropriationBank() {
        return appropriationBank;
    }

    public void setAppropriationBank(String appropriationBank) {
        this.appropriationBank = appropriationBank;
    }

    public String getAppropriationName() {
        return appropriationName;
    }

    public void setAppropriationName(String appropriationName) {
        this.appropriationName = appropriationName;
    }

    public String getAppropriationAccount() {
        return appropriationAccount;
    }

    public void setAppropriationAccount(String appropriationAccount) {
        this.appropriationAccount = appropriationAccount;
    }

    public String getAppropriationOpenAddress() {
        return appropriationOpenAddress;
    }

    public void setAppropriationOpenAddress(String appropriationOpenAddress) {
        this.appropriationOpenAddress = appropriationOpenAddress;
    }

    public Long getCollectionAccountId() {
        return collectionAccountId;
    }

    public void setCollectionAccountId(Long collectionAccountId) {
        this.collectionAccountId = collectionAccountId;
    }

    public String getCollectionBank() {
        return collectionBank;
    }

    public void setCollectionBank(String collectionBank) {
        this.collectionBank = collectionBank;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }

    public Integer getIsRescind() {
        return isRescind;
    }

    public void setIsRescind(Integer isRescind) {
        this.isRescind = isRescind;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getCollectionOpenAddress() {
        return collectionOpenAddress;
    }

    public void setCollectionOpenAddress(String collectionOpenAddress) {
        this.collectionOpenAddress = collectionOpenAddress;
    }
}
