package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.Account;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public interface AccountMapper {

    int insertAccount(@Param("list") List<Account> accountList);

    /**
     * 通过账号查询
     * @param accountNO
     * @return
     */
    Account selectByAccountNO(String accountNO);

    /**
     * 更新账户
     * @param accountId
     * @param cancelDate
     * @return
     */
    int updateCancelDate(@Param("accountId") Long accountId, @Param("cancelDate") Date cancelDate);

    /**
     * 查询重复账号
     * @return
     */
    List<Long> selectReuseAcoount();

    int deleteById(Long id);
}
